Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.monitor
Interface MonitorService

    public interface MonitorService

Server monitor is an interface to represent a clustered server's states.

Method Summary
`CurrentMonitorStatistics` | `getCurrentMonitorStatistics()` Gets `CurrentMonitorStatistics` in this clustered server.
`UserSessionManager` | `getCurrentUserSessionTable()` Gets `UserSessionManager` in this clustered server.
`FinishedReportTable` | `getFinishedReportTable()` Gets `FinishedReportTable` in this clustered server.
`MonitorSetting` | `getMonitorSetting()` Gets `MonitorSetting` in this clustered server.
`java.lang.String` | `getMonitorUser()` Gets the user monitoring in this server.
`RunningReportTable` | `getRunningReportTable()` Gets `RunningReportTable` in this clustered server.
`UserSessionMonitor` | `getUserSessionMonitor()` Gets `UserSessionMonitor` in this cluster server `UserSessionMonitor` contains user sessions displaying and controlling information.
`void` | `setMonitorUser(java.lang.String useName)` Sets the user monitoring in this server.

Method Detail

### getRunningReportTable

    RunningReportTable getRunningReportTable()

  Gets `RunningReportTable` in this clustered server. `RunningReportTable` manages running reports.

  Returns:
    RunningReportTable in this clustered server.

### getCurrentUserSessionTable

    UserSessionManager getCurrentUserSessionTable()

  Gets `UserSessionManager` in this clustered server. `UserSessionManager` manages the user sessions.

  Returns:
    UserSessionManager in this clustered server.

### getFinishedReportTable

    FinishedReportTable getFinishedReportTable()

  Gets `FinishedReportTable` in this clustered server. `FinishedReportTable` contains information of finished reports .

  Returns:
    FinishedReportTable in this clustered server.

### getCurrentMonitorStatistics

    CurrentMonitorStatistics getCurrentMonitorStatistics()

  Gets `CurrentMonitorStatistics` in this clustered server. `CurrentStatistics` contains information of current Statistics.

  Returns:
    Statistics data in this clustered server. .

### getMonitorSetting

    MonitorSetting getMonitorSetting()

  Gets `MonitorSetting` in this clustered server. `MonitorSetting` contains information of parameters setting.

  Returns:
    MonitorSetting in this clustered server.

### setMonitorUser

    void setMonitorUser(java.lang.String useName)

  Sets the user monitoring in this server.

### getMonitorUser

    java.lang.String getMonitorUser()

  Gets the user monitoring in this server.

  Returns:
    the user monitoring in this server.

### getUserSessionMonitor

    UserSessionMonitor getUserSessionMonitor()

  Gets `UserSessionMonitor` in this cluster server `UserSessionMonitor` contains user sessions displaying and controlling information.

  Returns:
    a `UserSessionMonitor` reference in this cluster server.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD